Index: mozilla/content/html/content/src/nsFormSubmission.cpp
===================================================================
--- mozilla.orig/content/html/content/src/nsFormSubmission.cpp	2005-07-13 18:55:59.000000000 +0200
+++ mozilla/content/html/content/src/nsFormSubmission.cpp	2007-05-10 12:11:20.000000000 +0200
@@ -1315,11 +1315,6 @@
   nsresult rv = NS_OK;
 
   nsCAutoString charset(aCharset);
-  // canonical name is passed so that we just have to check against
-  // *our* canonical names listed in charsetaliases.properties
-  if (charset.EqualsLiteral("ISO-8859-1")) {
-    charset.AssignLiteral("windows-1252");
-  }
 
   // use UTF-8 for UTF-16* and UTF-32* (per WHATWG and existing practice of
   // MS IE/Opera). 
Index: mozilla/embedding/base/Makefile.in
===================================================================
--- mozilla.orig/embedding/base/Makefile.in	2006-02-14 06:28:31.000000000 +0100
+++ mozilla/embedding/base/Makefile.in	2007-05-10 12:11:20.000000000 +0200
@@ -43,6 +43,7 @@
 
 MODULE          = embed_base
 LIBRARY_NAME    = embed_base_s
+EXPORT_LIBRARY	= 1
 XPIDL_MODULE	= embed_base
 
 include $(DEPTH)/config/autoconf.mk
Index: mozilla/js/src/Makefile.in
===================================================================
--- mozilla.orig/js/src/Makefile.in	2006-07-28 00:56:20.000000000 +0200
+++ mozilla/js/src/Makefile.in	2007-05-10 12:11:21.000000000 +0200
@@ -46,6 +46,7 @@
 
 MODULE		= js
 LIBRARY_NAME	= mozjs
+EXPORT_LIBRARY	= 1
 LIB_IS_C_ONLY	= 1
 GRE_MODULE	= 1
 
Index: mozilla/minimo/Makefile.in
===================================================================
--- mozilla.orig/minimo/Makefile.in	2006-07-24 21:40:53.000000000 +0200
+++ mozilla/minimo/Makefile.in	2007-05-10 12:13:46.000000000 +0200
@@ -41,6 +41,6 @@
 
 include $(DEPTH)/config/autoconf.mk
 
-DIRS = config components chrome locales customization base extensions
+DIRS = config chrome locales customization base extensions
 
 include $(topsrcdir)/config/rules.mk
Index: mozilla/minimo/base/Makefile.in
===================================================================
--- mozilla.orig/minimo/base/Makefile.in	2006-08-09 17:42:26.000000000 +0200
+++ mozilla/minimo/base/Makefile.in	2007-05-10 12:11:21.000000000 +0200
@@ -96,7 +96,6 @@
 
 # this should move into the toolkit!
 LOCAL_INCLUDES	= -I$(srcdir) -I$(topsrcdir)/xpfe/browser/src/
-CPPSRCS    += nsBrowserStatusFilter.cpp nsBrowserInstance.cpp
 
 ifdef WINCE
 RCINCLUDE  = wince/SplashScreen.rc
@@ -143,10 +142,6 @@
 endif
 
 
-FINAL_LINK_COMPS=$(topsrcdir)/minimo/base/$(FINAL_PLATFORM)/minimo-link-comps
-FINAL_LINK_COMP_NAMES=$(topsrcdir)/minimo/base/$(FINAL_PLATFORM)/minimo-link-names
-FINAL_LINK_LIBS=$(topsrcdir)/minimo/base/$(FINAL_PLATFORM)/minimo-link-libs
-
 include $(topsrcdir)/config/static-config.mk
 
 EXTRA_DEPS     += $(STATIC_EXTRA_DEPS)
@@ -180,14 +175,11 @@
 # (same as in mozilla/js/src/Makefile.in)
 ifdef WINCE
 LDFLAGS         += -OPT:NOICF
+else
+# Hack to work around libxpcom_core.a / libunicharutil_s.a link order problem.
+LDFLAGS		+= -u NS_StringGetData_P -u NS_StringGetMutableData_P
 endif
 
-export::
-	$(NSINSTALL) $(topsrcdir)/xpfe/browser/src/nsBrowserStatusFilter.cpp .
-	$(NSINSTALL) $(topsrcdir)/xpfe/browser/src/nsBrowserInstance.cpp .
-
-
-GARBAGE += nsBrowserStatusFilter.cpp nsBrowserInstance.cpp
 
 ifdef WINCE
 package::
Index: mozilla/minimo/base/Minimo.cpp
===================================================================
--- mozilla.orig/minimo/base/Minimo.cpp	2006-10-27 22:30:36.000000000 +0200
+++ mozilla/minimo/base/Minimo.cpp	2007-05-10 12:13:21.000000000 +0200
@@ -813,6 +813,8 @@
 #ifdef MOZ_WIDGET_GTK2
   gtk_set_locale();
   gtk_init(&argc, &argv);
+  gtk_widget_set_default_visual(gdk_rgb_get_visual());
+  gtk_widget_set_default_colormap(gdk_rgb_get_cmap());
 #endif
   
 #ifdef HACKY_PRE_LOAD_LIBRARY
Index: mozilla/minimo/base/SplashScreen.cpp
===================================================================
--- mozilla.orig/minimo/base/SplashScreen.cpp	2006-08-21 21:00:24.000000000 +0200
+++ mozilla/minimo/base/SplashScreen.cpp	2007-05-10 12:11:22.000000000 +0200
@@ -202,9 +202,24 @@
 void KillSplashScreen() {}
 void GetScreenSize(unsigned long* x, unsigned long* y)
 {
+#ifdef MOZ_WIDGET_GTK2
+  GdkDisplay* display = gdk_display_get_default();
+  if (display != NULL)
+  {
+    GdkScreen *screen;
+    screen = gdk_display_get_default_screen(display);
+    *x = gdk_screen_get_width(screen);
+    *y = gdk_screen_get_height(screen);
+  }
+  else
+  {
+#endif
   // we need to figure this out.
   *x = 240;
   *y = 320;
+#ifdef MOZ_WIDGET_GTK2
+  }
+#endif
 }
 
 
Index: mozilla/minimo/config/linux_package.sh
===================================================================
--- mozilla.orig/minimo/config/linux_package.sh	2006-06-30 18:35:19.000000000 +0200
+++ mozilla/minimo/config/linux_package.sh	2007-05-10 12:11:22.000000000 +0200
@@ -29,9 +29,7 @@
 cp -pRL bin/libnssckbi.so                                  minimo
 cp -pRL bin/libsmime3.so                                   minimo
 cp -pRL bin/libsoftokn3.so                                 minimo
-cp -pRL bin/libsoftokn3.chk                                minimo
 cp -pRL bin/libfreebl3.so                                  minimo
-cp -pRL bin/libfreebl3.chk                                 minimo
 cp -pRL bin/libssl3.so                                     minimo
 
 mkdir -p minimo/chrome
@@ -62,8 +60,6 @@
 cp -pRL bin/components/nsHelperAppDlg.js                   minimo/components
 cp -pRL bin/components/nsProgressDialog.js                 minimo/components
 
-cp -pRL bin/extensions/spatial-navigation@extensions.mozilla.org/components/* minimo/components
-
 mkdir -p minimo/greprefs
 cp -pRL bin/greprefs/*                                     minimo/greprefs
 
@@ -80,7 +76,7 @@
 
 echo Linking XPT files.
 
-bin/xpt_link minimo/components/all.xpt          bin/components/*.xpt
+host/bin/host_xpt_link minimo/components/all.xpt          bin/components/*.xpt
 
 echo Chewing on chrome
 
Index: mozilla/profile/dirserviceprovider/src/Makefile.in
===================================================================
--- mozilla.orig/profile/dirserviceprovider/src/Makefile.in	2005-04-06 05:35:21.000000000 +0200
+++ mozilla/profile/dirserviceprovider/src/Makefile.in	2007-05-10 12:11:23.000000000 +0200
@@ -44,6 +44,7 @@
 
 MODULE		= profdirserviceprovider
 LIBRARY_NAME	= profdirserviceprovider_s
+EXPORT_LIBRARY	= 1
 MOZILLA_INTERNAL_API = 1
 
 REQUIRES	= xpcom \
Index: mozilla/security/coreconf/Linux.mk
===================================================================
--- mozilla.orig/security/coreconf/Linux.mk	2006-02-03 23:26:36.000000000 +0100
+++ mozilla/security/coreconf/Linux.mk	2007-05-10 12:11:23.000000000 +0200
@@ -117,6 +117,10 @@
 	OS_REL_CFLAGS   = -DLINUX1_2 -D_XOPEN_SOURCE
 	CPU_ARCH        = mips
 else
+ifeq ($(OS_TEST),arm)
+	OS_REL_CFLAGS   = -DLINUX1_2 -D_XOPEN_SOURCE
+	CPU_ARCH        = arm
+else
 	OS_REL_CFLAGS	= -DLINUX1_2 -Di386 -D_XOPEN_SOURCE
 	CPU_ARCH	= x86
 endif
@@ -133,6 +137,7 @@
 endif
 endif
 endif
+endif
 
 
 LIBC_TAG		= _glibc
Index: mozilla/security/coreconf/arch.mk
===================================================================
--- mozilla.orig/security/coreconf/arch.mk	2006-02-03 23:26:36.000000000 +0100
+++ mozilla/security/coreconf/arch.mk	2007-05-10 12:11:24.000000000 +0200
@@ -60,18 +60,14 @@
 	64BIT_TAG=
 endif
 
-OS_ARCH := $(subst /,_,$(shell uname -s))
+OS_ARCH := Linux
 
 #
 # Attempt to differentiate between sparc and x86 Solaris
 #
 
-OS_TEST := $(shell uname -m)
-ifeq ($(OS_TEST),i86pc)
-    OS_RELEASE := $(shell uname -r)_$(OS_TEST)
-else
-    OS_RELEASE := $(shell uname -r)
-endif
+OS_TEST := arm
+OS_RELEASE := 2.6
 
 #
 # Force the IRIX64 machines to use IRIX.
Index: mozilla/toolkit/components/build/Makefile.in
===================================================================
--- mozilla.orig/toolkit/components/build/Makefile.in	2006-07-13 22:08:29.000000000 +0200
+++ mozilla/toolkit/components/build/Makefile.in	2007-05-10 12:11:27.000000000 +0200
@@ -112,7 +112,6 @@
 	$(NULL)
 
 SHARED_LIBRARY_LIBS = \
-	../startup/src/$(LIB_PREFIX)appstartup_s.$(LIB_SUFFIX) \
 	$(NULL)
 
 ifdef MOZ_XPINSTALL
Index: mozilla/toolkit/components/startup/src/Makefile.in
===================================================================
--- mozilla.orig/toolkit/components/startup/src/Makefile.in	2005-07-27 22:42:44.000000000 +0200
+++ mozilla/toolkit/components/startup/src/Makefile.in	2007-05-10 12:11:27.000000000 +0200
@@ -43,6 +43,7 @@
 
 MODULE     = toolkitcomps
 LIBRARY_NAME = appstartup_s
+EXPORT_LIBRARY = 1
 FORCE_STATIC_LIB = 1
 LIBXUL_LIBRARY = 1
 
Index: mozilla/toolkit/xre/Makefile.in
===================================================================
--- mozilla.orig/toolkit/xre/Makefile.in	2007-02-06 08:13:20.000000000 +0100
+++ mozilla/toolkit/xre/Makefile.in	2007-05-10 12:11:27.000000000 +0200
@@ -45,7 +45,6 @@
 
 MODULE = xulapp
 LIBRARY_NAME = xulapp_s
-EXPORT_LIBRARY = 1
 LIBXUL_LIBRARY = 1
 
 REQUIRES = \
@@ -180,14 +179,6 @@
 
 include $(topsrcdir)/config/rules.mk
 
-ifdef BUILD_STATIC_LIBS
-export::
-	@$(PERL) -I$(MOZILLA_DIR)/config $(MOZILLA_DIR)/config/build-list.pl $(FINAL_LINK_COMP_NAMES) Apprunner
-#	embedding/browser/gtk/src/Makefile.in sucks! we need to add an empty line to 
-# FINAL_LINK_COMPS to keep the two lists in sync :-(
-	@$(PERL) -I$(MOZILLA_DIR)/config $(MOZILLA_DIR)/config/build-list.pl $(FINAL_LINK_COMPS) ""
-endif
-
 LOCAL_INCLUDES += \
 	-I$(srcdir) \
 	-I$(topsrcdir)/xpfe/bootstrap \
Index: mozilla/xpcom/build/Makefile.in
===================================================================
--- mozilla.orig/xpcom/build/Makefile.in	2006-01-29 17:51:02.000000000 +0100
+++ mozilla/xpcom/build/Makefile.in	2007-05-10 12:11:27.000000000 +0200
@@ -61,7 +61,7 @@
 endif
 
 # Do not set EXPORT_LIBRARY as we do not want xpcom in the static libs list
-#EXPORT_LIBRARY = 1
+EXPORT_LIBRARY = 1
 GRE_MODULE	= 1
 MOZILLA_INTERNAL_API = 1
 
Index: mozilla/xpcom/reflect/xptcall/src/md/unix/xptcstubs_arm.cpp
===================================================================
--- mozilla.orig/xpcom/reflect/xptcall/src/md/unix/xptcstubs_arm.cpp	2004-04-18 16:18:18.000000000 +0200
+++ mozilla/xpcom/reflect/xptcall/src/md/unix/xptcstubs_arm.cpp	2007-05-10 12:11:27.000000000 +0200
@@ -45,9 +45,9 @@
 #endif
 
 /* Specify explicitly a symbol for this function, don't try to guess the c++ mangled symbol.  */
-static nsresult PrepareAndDispatch(nsXPTCStubBase* self, uint32 methodIndex, PRUint32* args) asm("_PrepareAndDispatch");
+nsresult PrepareAndDispatch(nsXPTCStubBase* self, uint32 methodIndex, PRUint32* args) asm("_PrepareAndDispatch");
 
-static nsresult
+nsresult
 PrepareAndDispatch(nsXPTCStubBase* self, uint32 methodIndex, PRUint32* args)
 {
 #define PARAM_BUFFER_COUNT     16
Index: mozilla/xpfe/browser/src/Makefile.in
===================================================================
--- mozilla.orig/xpfe/browser/src/Makefile.in	2005-03-18 22:23:45.000000000 +0100
+++ mozilla/xpfe/browser/src/Makefile.in	2007-05-10 12:11:27.000000000 +0200
@@ -44,6 +44,7 @@
 
 MODULE		= browser
 LIBRARY_NAME	= mozbrwsr_s
+EXPORT_LIBRARY	= 1
 FORCE_STATIC_LIB = 1
 LIBXUL_LIBRARY = 1
 MODULE_NAME	= nsBrowserModule
Index: mozilla/xpfe/components/build/Makefile.in
===================================================================
--- mozilla.orig/xpfe/components/build/Makefile.in	2005-09-27 02:15:25.000000000 +0200
+++ mozilla/xpfe/components/build/Makefile.in	2007-05-10 12:11:27.000000000 +0200
@@ -44,7 +44,6 @@
 
 MODULE		= appcomps
 LIBRARY_NAME	= appcomps
-EXPORT_LIBRARY = 1
 IS_COMPONENT	= 1
 MODULE_NAME	= application
 LIBXUL_LIBRARY	= 1
Index: mozilla/xpfe/components/filepicker/src/Makefile.in
===================================================================
--- mozilla.orig/xpfe/components/filepicker/src/Makefile.in	2006-05-22 18:29:32.000000000 +0200
+++ mozilla/xpfe/components/filepicker/src/Makefile.in	2007-05-10 12:11:27.000000000 +0200
@@ -47,7 +47,6 @@
 MODULE		= filepicker
 LIBRARY_NAME	= fileview
 SHORT_LIBNAME	= fileview
-EXPORT_LIBRARY	= 1
 IS_COMPONENT	= 1
 MODULE_NAME	= nsFileViewModule
 MOZILLA_INTERNAL_API = 1
Index: mozilla/xpfe/components/find/src/Makefile.in
===================================================================
--- mozilla.orig/xpfe/components/find/src/Makefile.in	2005-03-18 22:23:46.000000000 +0100
+++ mozilla/xpfe/components/find/src/Makefile.in	2007-05-10 12:11:27.000000000 +0200
@@ -45,7 +45,6 @@
 MODULE		= appcomps
 XPIDL_MODULE	= mozfind
 LIBRARY_NAME	= mozfind
-EXPORT_LIBRARY = 1
 IS_COMPONENT	= 1
 MODULE_NAME	= nsFindComponent
 LIBXUL_LIBRARY	= 1
